Subject: Re: bug#23632: 25.1.50; Gratuitous undo boundary in latex-insert-block

From: Chong Yidong <[email-masked]>
Date: Fri, 03 Jun 2016 10:58:14 +0800

[email-masked] (Phillip Lord) writes:

> In and off itself, the patch seems fine, but my concern is that that
> the previous heuristic did the right thing, the new heuristic does
> not. If you've found three instances where it's causing a problem,
> then there will be others also.

You mentioned "the new heuristic" and "the old system", but to be clear,
this behavior is not a new one.  I can reproduce it in Emacs 24.3, and
it probably goes back farther than that.

Also, the solution needs to handle the case where the user switches from
the minibuffer back to the original buffer and does some editing,
including possible calling undo.  The undo boundaries thus created ought
to be preserved.  Only the undo boundary created specially for
completing-read ought to be automatically removed.